Debian Bug report logs - #247685
aide: No such file or directory error messages

version graph

Package: aide; Maintainer for aide is Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>; Source for aide is src:aide.

Reported by: Marc Haber <mh+debian-bugs@zugschlus.de>

Date: Thu, 6 May 2004 13:18:03 UTC

Severity: wishlist

Tags: fixed-in-experimental, fixed-upstream, upstream

Found in version 0.10-2

Fixed in versions 0.11.99.20060718-1, aide/0.12-1

Done: Marc Haber <mh+debian-packages@zugschlus.de>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/tracker/index.php?func=detail&aid=1337733&group_id=86976&atid=581582

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mike Markley <mike@markley.org>:
Bug#247685; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
New Bug report received and forwarded. Copy sent to Mike Markley <mike@markley.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aide: No such file or directory error messages
Date: Thu, 06 May 2004 15:09:37 +0200
Package: aide
Version: 0.10-2
Severity: wishlist

Hi,

I have a centralized aide.conf file for all of my systems. Of course,
that aide.conf file does reference directories that do not exist on
every system. aide --update throws warnings in this case:

open_dir():No such file or directory: /lib/modules       
There are rules referring to non-existant directories!

(1) It is non-existent, not non-existant. Actually, I would word that
message like "There are rules that refer to non-existent directories."

(2) I'd like to be able to switch these messages off. I know that I
have rules that refer to non-existent directories. No need to bloat
the daily reports.

Greetings
Marc

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.4.26-darren
Locale: LANG=C, LC_CTYPE=C



Information forwarded to debian-bugs-dist@lists.debian.org, Mike Markley <mike@markley.org>:
Bug#247685; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Mike Markley <mike@markley.org>. Full text and rfc822 format available.

Message #10 received at 247685@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: 247685@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: Bug#247685: aide: No such file or directory error messages
Date: Tue, 25 Oct 2005 13:16:00 +0200
tags #247685 unreproducible
thanks

On Thu, May 06, 2004 at 03:09:37PM +0200, Marc Haber wrote:
> I have a centralized aide.conf file for all of my systems. Of course,
> that aide.conf file does reference directories that do not exist on
> every system. aide --update throws warnings in this case:
> 
> open_dir():No such file or directory: /lib/modules       
> There are rules referring to non-existant directories!
> 
> (1) It is non-existent, not non-existant. Actually, I would word that
> message like "There are rules that refer to non-existent directories."
> 
> (2) I'd like to be able to switch these messages off. I know that I
> have rules that refer to non-existent directories. No need to bloat
> the daily reports.

I currently cannot reproduce this on sid. I will investigate and close
the bug in due time.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Tags added: unreproducible Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mike Markley <mike@markley.org>:
Bug#247685; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Mike Markley <mike@markley.org>. Full text and rfc822 format available.

Message #17 received at 247685@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: 247685@bugs.debian.org
Cc: Marc Haber <mh+debian-bugs@zugschlus.de>
Subject: Re: Re: Bug#247685: aide: No such file or directory error messages
Date: Tue, 25 Oct 2005 14:17:52 +0200
tags #247685 - unreproducible
tags #247685 upstream
thanks

On Tue, Oct 25, 2005 at 01:16:00PM +0200, Marc Haber wrote:
> I currently cannot reproduce this on sid. I will investigate and close
> the bug in due time.

Ok. The issue happens as soon as one has rules for _subdirectories_
of non-existent directories:

$ sudo aide --init
open_dir():No such file or directory: /media
There are rules referring to non-existent directories!

AIDE, version Post 0.11-rc1

### AIDE database initialized.

$ cat /var/lib/aide/aide.conf.autogenerated
database=file:/var/lib/aide/aide.db
database_out=file:/var/lib/aide/aide.db.new

Binlib = n+p+i+u+g+s+b+m+c+md5+sha1+rmd160+haval+gost+crc32+tiger

!/media/cdrom

$ ls -al /media
ls: /media: No such file or directory
$

The typo mentioned in the original bug report is fixed in 0.11rc

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Tags removed: unreproducible Request was from Marc Haber <mh+debian-bugs@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Marc Haber <mh+debian-bugs@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mike Markley <mike@markley.org>:
Bug#247685; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Mike Markley <mike@markley.org>. Full text and rfc822 format available.

Message #26 received at 247685@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: 247685@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: Bug#247685: aide: No such file or directory error messages
Date: Tue, 25 Oct 2005 20:39:11 +0200
forwarded #247685 https://sourceforge.net/tracker/index.php?func=detail&aid=1337733&group_id=86976&atid=581582
thanks

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Noted your statement that Bug has been forwarded to https://sourceforge.net/tracker/index.php?func=detail&aid=1337733&group_id=86976&atid=581582. Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Marc Haber <mh+debian-packages@zugschlus.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #35 received at 247685-done@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: 244917-done@bugs.debian.org, 247685-done@bugs.debian.org, 369242-done@bugs.debian.org, 370312-done@bugs.debian.org, 377383-done@bugs.debian.org, 378438-done@bugs.debian.org
Subject: Re: Fixed in upload of aide 0.11.99.20060718-1 to experimental
Date: Tue, 18 Jul 2006 18:34:04 +0200
Version: 0.11.99.20060718-1

On Tue, Jul 18, 2006 at 09:02:08AM -0700, Marc Haber wrote:
> tag 244917 + fixed-in-experimental
> tag 247685 + fixed-in-experimental
> tag 369242 + fixed-in-experimental
> tag 370312 + fixed-in-experimental
> tag 377383 + fixed-in-experimental
> tag 378438 + fixed-in-experimental

Version tagging appropriately.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Marc Haber <mh+debian-packages@zugschlus.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #42 received at 247685-close@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: 247685-close@bugs.debian.org
Subject: Bug#247685: fixed in aide 0.12-1
Date: Fri, 06 Oct 2006 06:02:05 -0700
Source: aide
Source-Version: 0.12-1

We believe that the bug you reported is fixed in the latest version of
aide, which is due to be installed in the Debian FTP archive:

aide_0.12-1.diff.gz
  to pool/main/a/aide/aide_0.12-1.diff.gz
aide_0.12-1.dsc
  to pool/main/a/aide/aide_0.12-1.dsc
aide_0.12-1_i386.deb
  to pool/main/a/aide/aide_0.12-1_i386.deb
aide_0.12.orig.tar.gz
  to pool/main/a/aide/aide_0.12.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 247685@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marc Haber <mh+debian-packages@zugschlus.de> (supplier of updated aide package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  5 Oct 2006 07:44:53 +0000
Source: aide
Binary: aide aide-config-zg2
Architecture: source i386
Version: 0.12-1
Distribution: unstable
Urgency: low
Maintainer: Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>
Changed-By: Marc Haber <mh+debian-packages@zugschlus.de>
Description: 
 aide       - Advanced Intrusion Detection Environment
Closes: 244917 247685 369242 370312 377383 378438 381547 385999 386790 387463 388704 388778 388994 389062 389117 390307 390619 390763
Changes: 
 aide (0.12-1) unstable; urgency=low
 .
   * new upstream version
 .
 aide (0.11.99.20061004-1) experimental; urgency=low
 .
   * New upstream release candidate 0.12-rc2
   * Re-word copynew template and remove warnnew template as suggested
     by Thomas Huriaux. Closes: #385999
   * Update Russian (ru) debconf translation.
     Thanks to Yuri Kozlov. (mh) Closes: #386790, #388994
   * Update Dutch (nl) debconf translation.
     Thanks to cobaco (aka Bart Cornelis). Closes: #390619
   * Update Vietnamese (vi) debconf translation.
     Thanks to Clytie Siddall. Closes: #390307
   * Update Portuguese (pt) debconf translation.
     Thanks to Marco Ferra.
   * Update Czech (cs) debconf translation.
     Thanks to Miroslav Kure. Closes: #389117
   * Update Swedish (sv) debconf translation.
     Thanks to Daniel Nylander. Closes: #388778
   * Update Polish (pl) debconf translation.
     Thanks to Marcin Owsiany.
   * Update French (fr) debconf translation.
     Thanks to Gregory Colpart. Closes: #381547
   * Update Japanese (ja) debconf translation.
     Thanks to Hideki Yamane. Closes: #389062
   * Update Brazilian Portuguese (pt_BR) debconf translation.
     Thanks to André Luís Lopes.
   * Update German (de) debconf translation.
     Thanks to Erik Schanze. Closes: #390763
   * Fix abuse of debconf notes:
     * Remove setmailaddress template, move text to README.Debian.
     * Remove mustaideinit template, make aideinit template more verbose.
     * Make debconf templates more policy compliant.
     * Thanks to Christian Perrier. Closes: #388704
   * Streamline aide and AIDE use: AIDE refers to the project and the
     program, while aide is the Debian package and the actual binary.
     Thanks to Erik Schanze.
   * Add vserver section to README.Debian. Thanks to Christian Thaeter
     for this idea. Closes: #387463
 .
 aide (0.11.99.20060718-1) experimental; urgency=low
 .
   * New post-0.12-rc1 CVS snapshot.
     * No extra "No such file or directory" error messages any more.
       Closes: #247685.
     * No longer segfaults on --config-check and @@ifnhost.
       Thanks to Andy Spiegl. Closes:  #244917.
     * Adapt 10-manpages.dpatch
     * remove all other patches (incorporated upstream)
   * Update French (fr) debconf translation.
     Thanks to Christian Perrier. (mh) Closes: #369242
   * Update Czech (cs) debconf translation.
     Thanks to Miroslav Kure. (mh) Closes: #370312
   * Fix/Remove paths in FILES section of aide.1 man page.
     Thanks to Dr. Markus Waldeck. Closes: #377383
   * Fix typo in README.Debian.
     Thanks to Richard van den Berg. Closes: #378438
   * Fix syslog rules. Thanks to Richard van den Berg.
Files: 
 fb933bef5f22a7b5f2ecc3e64a04db0e 801 admin optional aide_0.12-1.dsc
 fee8da9fe8ac4f78de1a237290ed3204 276564 admin optional aide_0.12.orig.tar.gz
 53ad17c5a3a4b50edcf57a1d5d0c430d 45625 admin optional aide_0.12-1.diff.gz
 1e11c32f100915426732f446b8ad30e0 534622 admin optional aide_0.12-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFJlCxgZalRGu6PIQRAr7aAJ9dLvaLn/LAxme3S+DEdbVpHTbcGACdHk4E
rvm4kZvtBA70CgYymxBF3rs=
=n8LP
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 21:43:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:52:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.